Loading...
Searching...
No Matches
Qore::Reflection::ClassConstant Class Reference

This class provides information about Qore class constants. More...

`#include <QC_ClassConstant.dox.h>`

Inheritance diagram for Qore::Reflection::ClassConstant:

## Public Member Functions

| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy. More...
Class | getClass ()
| Returns the class for the constant. More...
Public Member Functions inherited from Qore::Reflection::AbstractConstant
| constructor ()
| Throws an exception; this class cannot be created directly or used in a user class hierarchy. More...
list< string > | getModifierList ()
| returns a list of strings of modifiers describing the constant More...
int | getModifiers ()
| returns a bitfield of modifiers describing the constant More...
*string | getModuleName ()
| Returns the module name providing the constant or NOTHING if the constant was not provided by a module. More...
string | getName ()
| returns the constant's name More...
hash< SourceLocationInfo > | getSourceLocation ()
| Returns the source location of the contant declaration. More...
Type | getType ()
| Returns the type object for this constant. More...
auto | getValue ()
| Returns the value of the constant. More...
bool | isBuiltin ()
| returns True if the constant is builtin More...
bool | isClassConstant ()
| returns True if the constant is a class constant More...
bool | isEqual (AbstractConstant con)
| Returns True if the AbstractConstant object passed as an argument is equal to the current object; False if not. More...
bool | isUser ()
| returns True if the constant is a user constant More...

## Detailed Description

This class provides information about Qore class constants.

Restrictions:
  Qore::PO_NO_REFLECTION

See also
  Constant for namespace constants

Since
  Qore 0.9.0

## Member Function Documentation

## constructor()

Qore::Reflection::ClassConstant::constructor | ( |  | ) |

Throws an exception; this class cannot be created directly or used in a user class hierarchy.

Exceptions

  CLASSCONSTANT-CONSTRUCTOR-ERROR | the ClassConstant class cannot be constructed directly or inherited directly by a user-defined class

## getClass()

Class Qore::Reflection::ClassConstant::getClass | ( |  | ) |

Returns the class for the constant.

Code Flags:
  CONSTANT

Example:
  Class cls = con.getClass();

Returns
  the class for the constant

The documentation for this class was generated from the following file:

- modules/reflection/src/QC_ClassConstant.dox.h